## vdetelweb 1.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(vdetelweb
    VERSION 1.2.3
    DESCRIPTION "Telnet and WEB interface for VDE2"
    HOMEPAGE_URL "https://github.com/virtualsquare/vdetelweb"
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckSymbolExists)

add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

set(LIBS_REQUIRED lwipv6 vdehist mhash)
set(HEADERS_REQUIRED lwipv6.h libvdehist.h mhash.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK "-include stdlib.h")
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(vdetelweb vdetelweb.c web.c telnet.c)
target_include_directories(vdetelweb PRIVATE ${PROJECT_SOURCE_DIR} ${CMAKE_BINARY_DIR})
target_link_libraries(vdetelweb lwipv6 vdehist mhash)

configure_file(config.h.in config.h)

install(TARGETS vdetelweb
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES vdetelweb.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdetelweb (1.2.3-1build1) noble; urgency=high

  * No change rebuild against liblwipv6-2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:30 +0200

vdetelweb (1.2.3-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New upstream release:
    + Convert build system to cmake.  Closes: #978917
  * Refresh packaging:
    + Bump debhelper compat level to 13.  Closes: #965864
    + Convert from cdbs to dh.
    + Use source-format 3.0 (quilt) (from implicit 1.0).
    + Bump Standards-Version to 4.6.0.
  * Update d/watch to point to the new github location.

  [ Mattia Rizzolo ]
  * Add upstream metadata fields Repository, Repository-Browse.
  * d/control:
    + Set Vcs-* fields.
    + Add Renzo Davoli to Uploaders.

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 27 Aug 2021 17:29:31 +0200

vdetelweb (1.2.1-3) unstable; urgency=medium

  * fix ftbfs with gcc 9 (ld args sorting) (Closes: #925850)

 -- Renzo Davoli <renzo@cs.unibo.it>  Thu, 22 Aug 2019 12:16:18 +0200

vdetelweb (1.2.1-2) unstable; urgency=medium

  * Maintainers' mailing list address updated (Closes: #899724)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 09:50:42 +0100

vdetelweb (1.2.1-1) unstable; urgency=low

  * New upstream release
    - Remove patch 01_sparc_ftbfs_signals.diff
    - Remove patch 02_include_limits_h.diff
    - Add dependency on libmhash-dev
  * Switch to quilt
  * Remove useless dirs file
  * Add examples/vdetelwebrc.gz
  * Bump Standards-Version to 3.9.2: nothing to do
  * Add patch svn_r538_fix_msg_length.patch: apply bugfix from upstream svn

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 05 Feb 2012 11:15:54 +0100

vdetelweb (1.1b-3) unstable; urgency=low

  * Fix "Missing include of limits.h" patch by James Westby
    (Closes: #507262)
  * Update watch file to make use of sf.net redirector

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 22 May 2009 16:40:24 +0200

vdetelweb (1.1b-2) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Add DM-Upload-Allowed field
  * Add Luca Bigliard as Uploader/DM

  [ Ludovico Gardenghi ]
  * Add #ifdefs for some signals, correcting FTBFS on sparc (Closes: #492811)
  * Added build-dep on patchutils
  * Removed wrong build-dep on autotools-dev

 -- Ludovico Gardenghi <garden@acheronte.it>  Tue, 29 Jul 2008 18:14:54 +0200

vdetelweb (1.1b-1) unstable; urgency=low

  * New upstream release
  * Try new watch file

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 17 Jun 2008 19:56:43 +0200

vdetelweb (1.1-1) unstable; urgency=low

  * Initial release.

 -- Ludovico Gardenghi <garden@acheronte.it>  Mon, 16 Jun 2008 17:03:50 +0200

=== debian/control ===
Source: vdetelweb
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders:
 Renzo Davoli <renzo@cs.unibo.it>,
 Ludovico Gardenghi <garden@debian.org>,
 Guido Trotter <ultrotter@debian.org>,
 Filippo Giunchedi <filippo@debian.org>,
 Luca Bigliardi <luca.bigliardi@artha.org>,
Build-Depends:
 cmake (>= 3.12),
 debhelper-compat (= 13),
 liblwipv6-dev,
 libmhash-dev,
 libvde-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdetelweb
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdetelweb.git

Package: vdetelweb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 vde2,
Description: Telnet and Web interface for VDE 2.x
 vdetelweb creates a telnet and/or a web interface to a running VDE 2.x
 switch. The switch may then be managed via a telnet connection or a web
 browser.
 .
 vdetelweb depends on the LWIPv6 network stack.
 .
 vdetelweb, along with VDE, is part of the Virtual Square project:
 http://wiki.virtualsquare.org

## vdetelweb 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.12)
+cmake_minimum_required(VERSION 3.25)
 project(vdetelweb
     VERSION 1.2.3
     DESCRIPTION "Telnet and WEB interface for VDE2"
@@ -10,7 +10,7 @@
 include(CheckSymbolExists)
 
 add_definitions(-D_GNU_SOURCE)
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra --std=gnu17")
 
 set(LIBS_REQUIRED lwipv6 vdehist mhash)
 set(HEADERS_REQUIRED lwipv6.h libvdehist.h mhash.h)

=== debian/changelog ===
vdetelweb (1.2.4-2) unstable; urgency=medium

  * Fix cmake dependecy

 -- Andrea Capriotti <capriott@debian.org>  Fri, 19 Sep 2025 11:04:43 +0200

vdetelweb (1.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1098059)
  * Bump Standard version to 4.7.2
  * Add new Uploader Andrea Capriotti
  * Update cmake Build-Depends

 -- Andrea Capriotti <capriott@debian.org>  Thu, 18 Sep 2025 17:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: vdetelweb
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
+Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
 Uploaders:
  Renzo Davoli <renzo@cs.unibo.it>,
  Ludovico Gardenghi <garden@debian.org>,
  Guido Trotter <ultrotter@debian.org>,
  Filippo Giunchedi <filippo@debian.org>,
  Luca Bigliardi <luca.bigliardi@artha.org>,
+ Andrea Capriotti <capriott@debian.org>,
 Build-Depends:
- cmake (>= 3.12),
+ cmake (>= 3.25),
  debhelper-compat (= 13),
  liblwipv6-dev,
  libmhash-dev,
  libvde-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdetelweb

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


%:
	dh $@
